POST /admin/api/operation-endpoints
curl --request POST \
--url https://api.example.com/admin/api/operation-endpoints \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"dialect": "<string>",
"operation": "<string>",
"providerId": "<string>",
"url": "<string>",
"enabled": null,
"id": null,
"transport": null
}
'import requests
url = "https://api.example.com/admin/api/operation-endpoints"
payload = {
"dialect": "<string>",
"operation": "<string>",
"providerId": "<string>",
"url": "<string>",
"enabled": None,
"id": None,
"transport": None
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
dialect: '<string>',
operation: '<string>',
providerId: '<string>',
url: '<string>',
enabled: null,
id: null,
transport: null
})
};
fetch('https://api.example.com/admin/api/operation-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/operation-endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dialect' => '<string>',
'operation' => '<string>',
'providerId' => '<string>',
'url' => '<string>',
'enabled' => null,
'id' => null,
'transport' => null
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/operation-endpoints"
payload := strings.NewReader("{\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\",\n \"providerId\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": null,\n \"id\": null,\n \"transport\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/admin/api/operation-endpoints")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\",\n \"providerId\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": null,\n \"id\": null,\n \"transport\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/operation-endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\",\n \"providerId\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": null,\n \"id\": null,\n \"transport\": null\n}"
response = http.request(request)
puts response.read_body{
"dialect": "<string>",
"enabled": true,
"id": "<string>",
"operation": "<string>",
"providerId": "<string>",
"transport": "<string>",
"url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
POST /admin/api/operation-endpoints
POST
/
admin
/
api
/
operation-endpoints
POST /admin/api/operation-endpoints
curl --request POST \
--url https://api.example.com/admin/api/operation-endpoints \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"dialect": "<string>",
"operation": "<string>",
"providerId": "<string>",
"url": "<string>",
"enabled": null,
"id": null,
"transport": null
}
'import requests
url = "https://api.example.com/admin/api/operation-endpoints"
payload = {
"dialect": "<string>",
"operation": "<string>",
"providerId": "<string>",
"url": "<string>",
"enabled": None,
"id": None,
"transport": None
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
dialect: '<string>',
operation: '<string>',
providerId: '<string>',
url: '<string>',
enabled: null,
id: null,
transport: null
})
};
fetch('https://api.example.com/admin/api/operation-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/operation-endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dialect' => '<string>',
'operation' => '<string>',
'providerId' => '<string>',
'url' => '<string>',
'enabled' => null,
'id' => null,
'transport' => null
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/operation-endpoints"
payload := strings.NewReader("{\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\",\n \"providerId\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": null,\n \"id\": null,\n \"transport\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/admin/api/operation-endpoints")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\",\n \"providerId\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": null,\n \"id\": null,\n \"transport\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/operation-endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"dialect\": \"<string>\",\n \"operation\": \"<string>\",\n \"providerId\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": null,\n \"id\": null,\n \"transport\": null\n}"
response = http.request(request)
puts response.read_body{
"dialect": "<string>",
"enabled": true,
"id": "<string>",
"operation": "<string>",
"providerId": "<string>",
"transport": "<string>",
"url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.
请求体
application/json
响应
Success
A complete method URL for one (operation, dialect, transport) of one
provider. It replaces the URL the channel would build, not just its host.